Installation

Symeon Huang edited this page Jan 4, 2017 · 12 revisions

Microsoft Windows

Pre-built binaries are provided for 64-bit Windows (Requires Vista or later version). The project supports Windows XP but you'll have to build it yourself.

No prebuilt libraries are provided for Windows because of various compilers, Qt and Botan library versions.

Fedora/Red Hat Enterprise Linux/CentOS

Requirement: Latest version of Fedora or Red Hat Enterprise Linux >= 7

You can install this library and the client via librehat/shadowsocks project in Copr.

Debian/Ubuntu/Linux Mint/Deepin

Requirement: Debian >= 7 or Ubuntu >= 14.04

For Ubuntu users, please use PPA.

For Debian and other Debian-based distributions, build deb packages via commands below:

sudo apt-get install qt5-qmake qtbase5-dev libbotan1.10-dev #skip this part if you've already installed these packages
dpkg-buildpackage -uc -us -b

Then install libqtshadowsocks and shadowsocks-libqtshadowsocks deb packages using command dpkg -i.

Other Operating Systems

Check Compiling page.